## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcTest Struct Reference

This is a test property class. More...

`#include <propclass/test.h>`

List of all members.

## Public Member Functions

virtual void | Print (const char *msg)=0
| Print a message.

## Detailed Description

This is a test property class.

This property class can send out the following messages to the behaviour (add prefix 'cel.parameter.' to get the ID for parameters):

- pctest_print: a message has been printed (message)

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- Print: parameters 'message' (string).

This property class supports the following properties (add prefix 'cel.property.' to get the ID of the property:

- counter (long, read/write): how many times something has been printed.
- max (long, read/write): maximum length of what was printed.

Definition at line 49 of file test.h.

## Member Function Documentation

virtual void iPcTest::Print | ( | const char * | msg | ) | `[pure virtual]`

| Print a message.

The documentation for this struct was generated from the following file:

- propclass/test.h